<!DOCTYPE html>
<html>
<head>
  <title>Search Results</title>
</head>
<body>

<table border='1'>
  <caption>Results</caption>
  <thead>
    <tr>
      <th>Hotel ID</th>
      <th>Hotel Name</th>
      <th>Number of Reviews</th>
      <th>Address</th>
      <th>Number of Stars</th>
      <th>Amenities</th>
      <th>Image</th>
      <th>Snaptravel Price</th>
      <th>Hotel.com Price</th>
    </tr>
  </thead>
  <tbody>
    {% for hotel in results %}
    <tr>
      <td>{{ hotel['id'] }}</td>
      <td>{{ hotel['hotel_name'] }}</td>
      <td>{{ hotel['num_reviews'] }}</td>
      <td>{{ hotel['address'] }}</td>
      <td>{{ hotel['num_stars'] }}</td>
      <td>{{ ', '.join(hotel['amenities']) }}</td>
      <td><img src="{{ hotel['image_url'] }}"></td>
      <td>${{ hotel['snaptravel_price'] }}</td>
      <td>${{ hotel['price'] }}</td>
    </tr>
    {% endfor %}
  </tbody>
</table>

</body>
</html>
